Global Configurations
Read Global Configurations
Retrieves a list of global configurations.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
OK
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
GET /configuration/{tenant}/global-configurations HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
OK
[
{
"key": "customer.deletion.redirecturl",
"secured": false,
"value": "https://tenant.com/custDelete?token=",
"version": 1
},
{
"key": "customer.passwordreset.redirecturl",
"secured": false,
"value": "https://tenant.com/changePassword?token=",
"version": 1
},
{
"key": "customer.changeemail.redirecturl",
"secured": false,
"value": "https://tenant.com/emailChangeConfirm?token=",
"version": 1
},
{
"key": "cust.notification.email.from",
"secured": false,
"value": "example_email@emporix.com",
"version": 3
},
{
"key": "project_country",
"secured": false,
"value": "EN",
"version": 2
},
{
"key": "project_curr",
"secured": false,
"value": "[{\"id\":\"EUR\",\"label\":\"Euro\",\"default\":true,\"required\":true}]",
"version": 3
},
{
"key": "project_lang",
"secured": false,
"value": "[{\"id\":\"en\",\"label\":\"English\",\"default\":true,\"required\":true}]",
"version": 2
},
{
"key": "taxConfiguration",
"secured": false,
"value": {
"taxClassOrder": [
"FULL",
"HALF",
"ZERO"
],
"taxClasses": {
"FULL": 19,
"HALF": 7,
"ZERO": 0
}
},
"version": 2
},
{
"key": "packagingConf",
"secured": false,
"value": {
"packagingGroupOptions": [
"1_cooling_product",
"2_standard",
"3_fragile"
],
"packagingPositionOptions": [
"1_bottom_robust",
"2_bottom_insensitive",
"3_middle_standard",
"4_top_sensitive"
]
},
"version": 2
},
{
"key": "storefront.htmlPage",
"secured": false,
"value": "index.html",
"version": 1
},
{
"key": "storefront.host",
"secured": false,
"value": "tenant.com",
"version": 1
},
{
"key": "unitConf",
"secured": false,
"value": [
{
"units": {
"LTR": {
"availableUnitValue": 1,
"conversion": {
"MLT": 1000
}
},
"GRM": {
"availableUnitValue": 100,
"conversion": {
"KGM": 0.001
}
},
"KGM": {
"availableUnitValue": 1,
"conversion": {
"GRM": 1000
}
},
"MLT": {
"availableUnitValue": 100,
"conversion": {
"LTR": 0.001
}
}
},
"name": "UnitConfiguration",
"description": "This object holds the unit configurations and the factors to calculate between different units"
}
],
"version": 1
}
]Last updated
Was this helpful?

